#### Previous topic

scipy.signal.slepian

#### Next topic

scipy.signal.tukey

# scipy.signal.triang

`scipy.signal.``triang`(M, sym=True)

  Return a triangular window.

  Parameters:

  M : int

  > Number of points in the output window. If zero or less, an empty array is returned.

  sym : bool, optional

  > When True (default), generates a symmetric window, for use in filter design. When False, generates a periodic window, for use in spectral analysis.

  Returns:

  w : ndarray

  > The window, with the maximum value normalized to 1 (though the value 1 does not appear if M is even and sym is True).

  Examples

  Plot the window and its frequency response:

      >>> from scipy import signal
      >>> from scipy.fftpack import fft, fftshift
      >>> import matplotlib.pyplot as plt

      >>> window = signal.triang(51)
      >>> plt.plot(window)
      >>> plt.title("Triangular window")
      >>> plt.ylabel("Amplitude")
      >>> plt.xlabel("Sample")

      >>> plt.figure()
      >>> A = fft(window, 2048) / (len(window)/2.0)
      >>> freq = np.linspace(-0.5, 0.5, len(A))
      >>> response = 20 * np.log10(np.abs(fftshift(A / abs(A).max())))
      >>> plt.plot(freq, response)
      >>> plt.axis([-0.5, 0.5, -120, 0])
      >>> plt.title("Frequency response of the triangular window")
      >>> plt.ylabel("Normalized magnitude [dB]")
      >>> plt.xlabel("Normalized frequency [cycles per sample]")

  (Source code)